Show / Hide Table of Contents

# Progress Class

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

Lightweight IProgress[T] factory.

    public static class Progress

##### Inheritance

System.Object → Progress

### Members

#### Methods

Name | Description
--- | ---
Create<T>(Action<T>) |
CreateOnlyValueChanged<T>(Action<T>, IEqualityComparer<T>) |

### Methods

#### Create<T>(Action<T>)

    public static IProgress<T> Create<T>(Action<T> handler)

##### Parameters

`handler` System.Action<T>

##### Returns

System.IProgress<T>

##### Type Parameters

`T`

#### CreateOnlyValueChanged<T>(Action<T>, IEqualityComparer<T>)

    public static IProgress<T> CreateOnlyValueChanged<T>(Action<T> handler, IEqualityComparer<T> comparer = null)

##### Parameters

`handler` System.Action<T>
`comparer` System.Collections.Generic.IEqualityComparer<T>

##### Returns

System.IProgress<T>

##### Type Parameters

`T`